:- use_module(library('clp/bounds')).
:- use_module([pl-minisat/cnf, pl-minisat/minisat]).

connects(rename,exists,x,1,0).
connects(rename,exists,y,0,1).

nondet1(EdgeName1,EdgeName2,To1,To2) :-
   connects(EdgeName1,StateName,_,From,To1),
   connects(EdgeName2,StateName,_,From,To2),
   To1 \== To2, EdgeName1 @=< EdgeName2,
   \+disjoint(EdgeName1,EdgeName2).

disjoint(EdgeName1,EdgeName2) :-
   connects(EdgeName1,S,_,F_1,_),connects(EdgeName2,S,_,F_2,_),F_1\==F_2.

